## python-minijinja 2.12.0

=== Makefile ===
.PHONY: all
all: develop test

.venv:
	python3 -mvenv .venv
	.venv/bin/pip install --upgrade pip
	.venv/bin/pip install maturin pytest markupsafe black pyright

.PHONY: test
develop: .venv
	.venv/bin/maturin develop

.PHONY: develop-release
develop-release: .venv
	.venv/bin/maturin develop --release

.PHONY: test
test: .venv
	.venv/bin/pytest

.PHONY: format
format: .venv
	.venv/bin/black tests python

.PHONY: type-check
type-check: .venv
	.venv/bin/pyright python

## python-minijinja 2.5.0

=== debian/changelog ===
python-minijinja (2.5.0-2) unstable; urgency=medium

  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 02 Feb 2025 14:52:05 +0200

python-minijinja (2.5.0-1) unstable; urgency=medium

  * [1f36dee] New upstream version 2.5.0
  * [c3ea116] First and Basic Debianization
    (Closes: 1094172)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 26 Jan 2025 20:09:33 +0200

=== debian/control ===
Source: python-minijinja
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 cargo,
 debhelper-compat (= 13),
 dh-sequence-python3,
 librust-minijinja-dev (>= 2.5.0),
 librust-pyo3-dev (>= 0.22.6),
 pybuild-plugin-pyproject,
 python3-all,
 python3-maturin,
 python3-pytest <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/mitsuhiko/minijinja
Vcs-Git: https://salsa.debian.org/python-team/packages/python-minijinja.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-minijinja
Testsuite: autopkgtest-pkg-python

Package: python3-minijinja
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Experimental Python binding of the Rust MiniJinja template engine
 MiniJinja is a powerful but minimal dependency template engine for Rust which
 is based on the syntax and behavior of the Jinja2 template engine for Python.
 It’s implemented on top of serde. The goal is to be able to render a large
 chunk of the Jinja2 template ecosystem from Rust with a minimal engine and
 to leverage an already existing ecosystem of editor integrations.
 minijinja-py (packaged as python3-minijinja) is an experimental binding of
 MiniJinja (https://github.com/mitsuhiko/minijinja) to Python. It has somewhat
 limited functionality compared to the Rust version. These bindings use
 maturin (https://www.maturin.rs/) and pyo3 (https://pyo3.rs/).
 .
 You might want to use MiniJinja instead of Jinja2 when the full feature set
 of Jinja2 is not required and you want to have the same rendering experience
 of a data set between Rust and Python.
 .
 With these bindings MiniJinja can render some Python objects and values
 that are passed to templates, but there are clear limitations with regards
 to what can be done.
 .
 This package provides Python bindings for the Rust MiniJinja template engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk

export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE

export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

export PYBUILD_NAME=minijinja

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	rm -rf .mypy_cache
	dh_clean

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/mitsuhiko/minijinja.git \
      refs/tags/@ANY_VERSION@

## python-minijinja 2.12.0

=== debian/changelog ===
python-minijinja (2.12.0-1) unstable; urgency=medium

  * [9264ba8] d/watch: Convert to version 5
  * [7d86d3b] d/repack-minijinja-py.sh: Update repack logic
  * [f7fa24b] New upstream version 2.12.0
    (Closes: #1114312)
  * [013ad96] Rebuild patch queue from patch-queue branch
    Added patches:
    Cargo.toml-Adjust-patch-to-find-minijinja-contrib.patch
    Cargo.toml-Be-more-flexible-on-pyo3-versions.patch
    Updated patches:
    Cargo.toml-Don-t-require-the-option-speedups.patch
    Cargo.toml-Use-the-system-path-to-find-minijinja.patch
  * [1860029] d/control: Update B-D version contrains
  * [3667fbf] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.
  * [4756dad] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [d2acaea] d/salsa-ci.yml: Adding a dedicated Salsa CI config

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 16 Nov 2025 12:07:40 +0200

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,13 @@
  cargo,
  debhelper-compat (= 13),
  dh-sequence-python3,
- librust-minijinja-dev (>= 2.5.0),
- librust-pyo3-dev (>= 0.22.6),
+ librust-minijinja-dev (>= 2.12.0),
+ librust-pyo3-dev (>= 0.23.4),
  pybuild-plugin-pyproject,
  python3-all,
  python3-maturin,
  python3-pytest <!nocheck>,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/mitsuhiko/minijinja
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-minijinja.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-minijinja

=== debian/watch ===
Version: 5

Source: https://github.com/mitsuhiko/minijinja.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Mode: git
Pgpmode: none
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/
